
Robotics Systems Types - Feature #1530
Add new types representing classifications results and sensor properties to the sandbox
05/31/2013 05:39 PM - L. Ziegler

Status: Resolved Start date: 05/31/2013
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Associated revisions
Revision 09da34c1 - 06/04/2013 12:28 PM - L. Ziegler

Added ClassifiedRegion2D which represents classification results from a 2d visual recognition process

refs #1530

Revision 02c8d031 - 06/04/2013 12:28 PM - L. Ziegler

Added ClassifiedRegion3D which represents classification results from a 3d visual recognition process

refs #1530

Revision 0ab81762 - 06/04/2013 12:28 PM - L. Ziegler

Added CameraPose which represents the 3d pose of a camera with annotation of the coordinate system

refs #1530

Revision 63b06ed4 - 06/04/2013 12:29 PM - L. Ziegler

Added FieldOfView representing the angular extent of a sensor's field of view

refs #1530

Revision 3950ad87 - 06/04/2013 12:29 PM - L. Ziegler

Added ViewFrustum representing a sensor's view frustum

refs #1530

Revision b4ca3f5e - 06/04/2013 12:29 PM - L. Ziegler

Added LocatedXYZImage which adds location, perceived space to a point cloud

refs #1530
History
#1 - 05/31/2013 05:42 PM - J. Moringen

Should the proposed types be added to the master branch?

#2 - 05/31/2013 05:44 PM - L. Ziegler

yes

#3 - 05/31/2013 05:47 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen
- Target version set to rsb-0.9

#4 - 05/31/2013 07:00 PM - J. Wienke

I see indentation inconsistencies in the patch.

#5 - 05/31/2013 07:01 PM - J. Moringen

I already made an updated version. I will attach that patch together with some feedback in a few minutes.

#6 - 05/31/2013 07:14 PM - J. Moringen
- File 0001-temp-commit-message.patch added

The attached updated version of the patch fixes most obvious problems.

However, I request the following additional changes:

    -  Check whether the @constraints I added are correct
    -  Split the patch into individual commits (these can still be submitted in a single patch file)
        -  Describe the added data types in the respective commit messages
    -  Fix TODOs:
        -  CameraPose.proto: extend description; document pose field
        -  FieldOfView.proto: extend description
    -  In Frustum.proto, angular_resolution_{x,z} have identical documentation strings (and miss a fullstop at the end).
    -  Frustum seems unnecessarily complicated to me: depending on camera.coordinate_frame, the whole geometric interpretation seems to change
    -  LocatedXYZImage inherits this problem from Frustum

#7 - 06/04/2013 11:29 AM - L. Ziegler
- File classification_results_and_sensor_properties.patch added

Here is an updated patch file including several commit. I hope I fixed all remaining issues.
#8 - 06/04/2013 12:42 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

I committed the proposed types with minor comment- and whitespace-fixes.

Files
0001-Added-more-types-represent-classification-results-an.patch 7.07 KB 05/31/2013 L. Ziegler
0001-temp-commit-message.patch 7.31 KB 05/31/2013 J. Moringen
classification_results_and_sensor_properties.patch 9.96 KB 06/04/2013 L. Ziegler
